#include <X11/Xlocale.h>
#include <Xm/Xm.h>
#include <Xm/Text.h>

main(int argc, char *argv[])
{
  XtAppContext app;
  Widget shell, textf;

  setlocale(LC_CTYPE, "");
  shell = XtVaAppInitialize(&app, "IMDemo",
			    NULL, 0,
			    &argc, argv,
			    NULL,
#if 0
			    XmNinputMethod, "hanIM",
			    XmNpreeditType, "OnTheSpot",
#endif
			    NULL);
  XtSetLanguageProc(app, NULL, NULL);
  /* I think UnixWare's Ximp library or XtSetLanguageProc()
     has critical bugs. If we call XtSetLanguageProc() with
     NULL at first argument, it dumps core. 
     I use XtSetLanguageProc("", NULL, NULL); or as follows */

  textf = XtVaCreateManagedWidget("text", xmTextWidgetClass, shell,
				  XmNeditMode, XmMULTI_LINE_EDIT,
				  XtNwidth, 100,
				  XtNheight, 50,
				  NULL);
  XtRealizeWidget(shell);
  XtAppMainLoop(app);
}
