#include <stdio.h>
#include <X11/Xlocale.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xaw/Text.h>
#include <X11/Xaw/AsciiText.h>

main(int argc, char *argv[])
{
  XtAppContext  app;
  Widget        topLevel, text;

#if XtSpecificationRelease > 4
  XtSetLanguageProc(NULL, NULL, NULL);
#endif /* XtSpecificationRelease  */

  topLevel = XtVaAppInitialize(&app, "IMDemo",
                               NULL, 0,
                               &argc, argv,
                               NULL,
                               NULL);
  
  /* create text field */
  text = XtVaCreateManagedWidget("IM Text", 
				 asciiTextWidgetClass,
				 topLevel,
				 XtNwidth, 500,
				 XtNheight, 100,
				 XtNeditType, XawtextEdit,
				 XtNinternational, True,
				 NULL);

  XtRealizeWidget(topLevel);
  XtAppMainLoop(app);
}
